/* --------------------------------------------------------
 Generated by Lukman Hakim using sql2java (http://sql2java.sourceforge.net/ )
 jdbc driver used at code generation time: net.sourceforge.jtds.jdbc.Driver
 
 Author : Lukman Hakim (lukman.uki@gmail.com) 
 Date Created : 28/07/2017
 --------------------------------------------------------
*/
package com.portofolio.dto;

import java.math.BigDecimal;

import javax.validation.constraints.NotNull;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class ProdukDto {

    @NotNull(message = "produkdto.namaproduk.notnull")
    private String namaProduk;

    @NotNull(message = "produkdto.harga.notnull")
    private BigDecimal harga;
    
    @NotNull(message = "produkdto.reportdisplay.notnull")
    private String reportDisplay;

    @NotNull(message = "produkdto.kdjenisproduk.notnull")
    private Integer kdJenisProduk;

    private String kodeExternal;

    private String namaExternal;

    @NotNull(message = "produkdto.statusenabled.notnull")
    private Boolean statusEnabled;


}
